服务支持

loophole

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202106-1005

摘要:openldap漏洞 安全等级:中等 公告ID:KYSA-202106-1005 发布日期:2021-06-25 影响CVE:CVE-2020-25692

详细介绍

1. 修复的CVE信息

  • CVE-2020-25692

    描述:OpenLDAP是美国OpenLDAP(Openldap)基金会的一个轻型目录访问协议(LDAP)的开源实现。该漏洞源于null-ptr指针取消引用。收到恶意TCP数据包后,造成OpenLDAP slapd崩溃。


2. 受影响的操作系统

  • 中标麒麟高级服务器操作系统 V7

  • 银河麒麟高级服务器操作系统V10


3. 修复版本

openldap-2.4.44-23.el7_9


4. 受影响的软件包

  • 中标麒麟高级服务器操作系统 V7

x86_64: openldap

  • 银河麒麟高级服务器操作系统V10

x86_64: openldap


5.修复方法

方法一:配置源进行升级安装

1.打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:

中标麒麟高级服务器操作系统V7:

x86_64:http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/x86_64/

aarch64:http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/aarch64/

银河麒麟高级服务器操作系统V10:

x86_64:http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/x86_64/

aarch64:http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/

2.配置完成后执行更新命令进行升级,命令如下:yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:yum install Packagename


6. 软件包下载地址

  • 中标麒麟高级服务器操作系统V7

openldap x86_64软件包下载地址: 

http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/x86_64/Packages/openldap-2.4.44-23.el7_9.x86_64.rpm

openldap aarch64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/aarch64/Packages/openldap-2.4.44-23.el7_9.aarch64.rpm

注:其他相关依赖包请到相同目录下载

  • 银河麒麟高级服务器操作系统V10

openldap x86_64软件包下载地址: 

http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/x86_64/openldap-2.4.44-23.el7_9.x86_64.rpm

openldap aarch64软件包下载地址: 

http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/openldap-2.4.44-23.el7_9.aarch64.rpm

注:其他相关依赖包请到相同目录下载



上一篇: KYSA-202106-1004 下一篇: KYSA-202107-1001

试用

服务

动态

联系